Plan Withdrawals

Refund

post

Submits a refund request using the provided installmentRequestId/checkout_id and amount. If the request is eligible, it is processed immediately; otherwise it remains pending for review.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
installmentRequestIdstring · uuidRequired
amountnumber · doubleRequired
reasonstringRequired
Responses
chevron-right
200

Refund request accepted successfully. Response contains the requestId and status (DONE or PENDING).

*/*
withdrawalRequestIdstring · uuidOptional
statusstring · enumOptionalPossible values:
post
/v1/refund

Get refund status

get

Returns the current status of the refund request. The {id} can be either an InstallmentRequest ID or an IntegrationCheckout ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired
Responses
chevron-right
200

Refund status returned successfully

*/*
statusstring · enumOptionalPossible values:
rejectionReasonstringOptional
get
/v1/refund/{id}

Last updated